--- /dev/null
+#!/bin/bash
+
+set -ex
+
+# Create the virtualenv
+virtualenv venv
+. venv/bin/activate
+
+# Define and ensure the PIP cache
+PIP_SDIST_INDEX="$HOME/.cache/pip"
+mkdir -p $PIP_SDIST_INDEX
+
+# Install the package by trying with the cache first, otherwise doing a download only, and then
+# trying to install from the cache again.
+if ! venv/bin/pip install --find-links="file://$PIP_SDIST_INDEX" --no-index -r requirements.txt; then
+ venv/bin/pip install --download-directory="$PIP_SDIST_INDEX" -r requirements.txt
+ venv/bin/pip install --find-links="file://$PIP_SDIST_INDEX" --no-index -r requirements.txt
+fi
+
+
+# create the build with tox
+tox -rv
--- /dev/null
+- job:
+ name: radosgw-agent-pull-requests
+ node: gitbuilder-cdep-deb-cloud-precise-amd64-basic
+ project-type: freestyle
+ defaults: global
+ disabled: false
+ display-name: 'radosgw-agent: Pull Requests'
+ concurrent: false
+ quiet-period: 5
+ block-downstream: false
+ block-upstream: false
+ retry-count: 3
+ properties:
+ - github:
+ url: https://github.com/ceph/radosgw-agent
+ logrotate:
+ daysToKeep: 15
+ numToKeep: 30
+ artifactDaysToKeep: -1
+ artifactNumToKeep: -1
+
+ parameters:
+ - string:
+ name: sha1
+ description: "A pull request ID, like 'origin/pr/72/head'"
+
+ triggers:
+ - pollscm: "*/1 * * * *"
+ - github-pull-request:
+ cron: '* * * * *'
+ admin-list:
+ - alfredodeza
+ - jdurgin
+ org-list:
+ - ceph
+ trigger-phrase: ''
+ only-trigger-phrase: false
+ github-hooks: true
+ permit-all: false
+ auto-close-on-fail: false
+
+ scm:
+ - git:
+ url: https://github.com/ceph/radosgw-agent.git
+ branches:
+ - ${sha1}
+ refspec: +refs/pull/*:refs/remotes/origin/pr/*
+ browser: githubweb
+ browser-url: https://github.com/ceph/radosgw-agent
+ timeout: 20
+ skip-tag: true
+ wipe-workspace: false
+
+ builders:
+ - shell:
+ !include-raw ../../build/build
+
+ publishers:
+ - github-notifier